Package org.eclipse.microprofile.openapi.apps.airlines.exception

## Class ReviewRejectedExceptionMapper

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.exception.ReviewRejectedExceptionMapper

All Implemented Interfaces:
  `jakarta.ws.rs.ext.ExceptionMapper<ReviewRejectedException>`

    public class ReviewRejectedExceptionMapper
    extends Object
    implements jakarta.ws.rs.ext.ExceptionMapper<ReviewRejectedException>

### Nested Class Summary

Nested Classes
`static class` `ReviewRejectedExceptionMapper.RejectionResponse`

### Constructor Summary

Constructors
`ReviewRejectedExceptionMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `toResponse​(ReviewRejectedException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReviewRejectedExceptionMapper

    public ReviewRejectedExceptionMapper()

### Method Detail

#### toResponse

    public jakarta.ws.rs.core.Response toResponse​(ReviewRejectedException exception)

Specified by:
  `toResponse` in interface `jakarta.ws.rs.ext.ExceptionMapper<ReviewRejectedException>`